Subject: Re: ls when acl() is busy
From: Jim Meyering <[email-masked]>
To: [email-masked] (Eric Blake)
Cc: [email-masked], [email-masked]
Date: Thu, 30 Jun 2005 10:16:44 +0200

[email-masked] (Eric Blake) wrote:
...
> Hmm - murky waters here.  It would be a simple one-line fix to
> coreutils/lib/acl.c to ignore EBUSY as a non-error, and POSIX has
> no requirements per se that a failure of acl() should imply a failure
> of ls(1).  Should a busy file be conservatively treated as having an
> ACL (designated with '+' in the mode string) or left alone without

If acl failing with EBUSY is a reliable indicator that there is
indeed an ACL, then using the `+' mark sounds best.  It's also
a little easier since we wouldn't have to document the meaning
of a nonstandard `?'.

> one (designated with ' ' in the mode string) when cygwin is unable
> to query Windows without blocking for an undue length of time?
> Right now, I'm almost leaning for a third option, and displaying '?'
> or some other character to mean unable to determine, but that
> would be more work (the gnulib library file_has_acl already returns
> -1 on failure, 0 on no ACL, and 1 on ACL; perhaps make it return
> 2 on indeterminate).  Should such a change be propagated to
> coreutils and gnulib, or left as a cygwin-local patch?

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/